org.eclipse.cdt.core

## Class CommandLauncherManager

- java.lang.Object
- - org.eclipse.cdt.core.CommandLauncherManager

    public class CommandLauncherManager
    extends Object

Since:
  6.4

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ICommandLauncher` `getCommandLauncher()`
`ICommandLauncher` `getCommandLauncher(ICBuildConfiguration config)` Get a command launcher.
`ICommandLauncher` `getCommandLauncher(ICConfigurationDescription cfgd)` Get a command launcher.
`ICommandLauncher` `getCommandLauncher(org.eclipse.core.resources.IProject project)` Get a command launcher.
`static CommandLauncherManager` `getInstance()`
`List<ICLanguageSettingEntry>` `getLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<ICLanguageSettingEntry> entries)`
`List<String>` `processIncludePaths(ICBuildConfiguration config, List<String> includePaths)`
`void` `setLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<? extends ICLanguageSettingEntry> entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CommandLauncherManager getInstance()

#### getCommandLauncher

    public ICommandLauncher getCommandLauncher()

#### getCommandLauncher

    public ICommandLauncher getCommandLauncher(org.eclipse.core.resources.IProject project)

Get a command launcher.

Parameters:
  `project` - - IProject to determine launcher for.
Returns:
  an ICommandLauncher for running commands

#### getCommandLauncher

    public ICommandLauncher getCommandLauncher(ICBuildConfiguration config)

Get a command launcher.

Parameters:
  `config` - - ICBuildConfiguration to determine launcher for.
Returns:
  an ICommandLauncher for running commands
Since:
  6.5

#### getCommandLauncher

    public ICommandLauncher getCommandLauncher(ICConfigurationDescription cfgd)

Get a command launcher.

Parameters:
  `cfgd` - - ICConfigurationDescription to get command launcher for.
Returns:
  an ICommandLauncher for running commands

#### processIncludePaths

    public List<String> processIncludePaths(ICBuildConfiguration config,
                                            List<String> includePaths)

Since:
  6.5

#### setLanguageSettingEntries

    public void setLanguageSettingEntries(org.eclipse.core.resources.IProject project,
                                          List<? extends ICLanguageSettingEntry> entries)

#### getLanguageSettingEntries

    public List<ICLanguageSettingEntry> getLanguageSettingEntries(org.eclipse.core.resources.IProject project,
                                                                  List<ICLanguageSettingEntry> entries)